6.0.0-git
2019-04-24

[#7067] Problem with shadowlastchange attribute
Summary Problem with shadowlastchange attribute
Queue Passwd
Queue Version 3.0.1
Type Bug
State Resolved
Priority 1. Low
Owners
Requester h35.office (at) bmlv (dot) gv (dot) at
Created 2008-07-15 (3935 days ago)
Due
Updated 2017-11-14 (526 days ago)
Assigned 2008-07-17 (3933 days ago)
Resolved 2008-07-21 (3929 days ago)
Milestone
Patch No

History
2017-11-14 16:38:09 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit 5a240b032238fa1b28159e83876795e32f423dbc
Author: Jan Schneider <jan@horde.org>
Date:   Tue, 14 Nov 2017 17:38:01 +0100

LDAP is supposed to be builtin now (travis-ci/travis-ci#7067).

  R .travis.ini
  M .travis.yml

https://github.com/horde/Ldap/commit/5a240b032238fa1b28159e83876795e32f423dbc
2017-11-14 16:37:52 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit df63814cad2fbd48001d7fa09614579576c258aa
Author: Jan Schneider <jan@horde.org>
Date:   Tue, 14 Nov 2017 17:37:31 +0100

LDAP is supposed to be builtin now (travis-ci/travis-ci#7067).

  R .travis.ini
  M .travis.yml

https://github.com/horde/Ldap/commit/df63814cad2fbd48001d7fa09614579576c258aa
2017-09-06 12:13:56 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 206400371c4815e81b12e93ac5bfc099658acba9
Author: Jan Schneider <jan@horde.org>
Date:   Wed Sep 6 14:12:40 2017 +0200

     Trusty doesn't work.

     Trusty builds don't work due to travis-ci/travis-ci#7067 still 
not being fixed.

  .travis.yml | 1 +
  1 file changed, 1 insertion(+)

http://github.com/horde/horde/commit/206400371c4815e81b12e93ac5bfc099658acba9
2008-07-21 13:55:15 Chuck Hagenbuch State ⇒ Resolved
 
2008-07-21 10:23:41 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #7 Reply to this comment
Hi, It works. thx paul
2008-07-21 10:15:20 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #6 Reply to this comment
I got it. thx
2008-07-21 10:11:39 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #5 Reply to this comment
How can i download??
2008-07-18 09:13:38 Jan Schneider Comment #4 Reply to this comment
Did you try Passwd from CVS HEAD already? At lot of work has been
spent into the ldap driver.
Hi,
No, I got it from the download page.
Then try it.
2008-07-18 07:15:05 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #3 Reply to this comment
Hi,

No, I got it from the download page. The strange is that the passwd 
command set the shadowlastchange attribute, but smbpasswd didn't do 
that.

My question is how does the smbldap driver works? Does the driver use 
the passwd command or the smbpasswd?



Paul
2008-07-17 22:14:33 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Did you try Passwd from CVS HEAD already? At lot of work has been 
spent into the ldap driver.
2008-07-15 12:21:26 h35 (dot) office (at) bmlv (dot) gv (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Problem with shadowlastchange attribute
Queue ⇒ Passwd
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,



The smbldap Driver does not change the shadowlastchange attribute.

My backend:

$backends['smbldap'] = array(

     'name' => 'Samba-Server',

     'preferred' => 'xxxxxx.NET',

     'password policy' => array(

         'minLength' => 3,

         'maxLength' => 8

     ),

     'driver' => 'smbldap',

     'params' => array(

         'host' => 'localhost',

         'port' => 389,

         'basedn' => 'dc=xxxxxxxx,dc=net',

         'uid' => 'uid',

         // this will be appended to the username when looking for the userdn.

         'realm' => '',

         'encryption' => 'crypt',

         // make sure the host == cn in the server certificate

         'tls' => false,

         'lm_attribute' => 'sambaLMPassword',

         'nt_attribute' => 'sambaNTPassword',

         'pw_set_attribute' => 'sambaPwdLastSet',

         'pw_expire_attribute' => 'sambaPwdMustChange',

         'pw_expire_time' => 180, // number of days until samba 
password expires





     )

);



greetings Paul

Saved Queries